What are the software requirements to use the Bright app?

Article author
Bright Support
  • Updated

Below are the minimum software requirements to use the Bright app. Due to potential changes and upgrades to the app, the minimum requirements may change over time. Our hardware requirements can be found here.

Supported platforms

Bright offers native support for the following platforms at this time:

  • iOS 13 – iOS 15 / iPadOS 13 – iPadOS 15
  • MacOS 10.15 'Catalina'MacOS 12 'Monterey'
  • Windows 8.1 – Windows 11 (Windows 'S' Mode users - click here)

We do not support Bright on any platform or configuration aside from those specifically listed above. We look forward to continuing to expand our offerings to other platforms soon!

Updates

We advise all users of the Bright app to upgrade their Operating System to the latest stable version available from their device manufacturer or operating system vendor, so as to ensure full compatibility with all of the features that Bright has to offer. We recommend allowing plenty of time before your Session before upgrading your OS.

Bandwidth Requirements

  Minimum Recommended
Download 3 Mbps 5 Mbps
Upload 3 Mbps 5 Mbps

If you are experiencing issues connecting to the Bright app, we recommend attempting to trying to find a more stable connection to maintain a link to the Session. For the best Bright experience, we recommend connecting to the Bright app via a desktop computer that is directly wired to your internet connection(via cable to your modem or router).

Best Practices

We advise all users to turn off any VPN services, Ad Blockers or other Content Blockers to ensure full compatibility and access to the Bright service. 

Was this article helpful?

1 out of 1 found this helpful

Have more questions? Submit a request

Comments

0 comments

Please sign in to leave a comment.

Didn't find what you were looking for?

Submit a request